Bug 196403 - Review Request: perl-Calendar-Simple - Perl extension to create simple calendars
Review Request: perl-Calendar-Simple - Perl extension to create simple calendars
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 196430
  Show dependency treegraph
 
Reported: 2006-06-22 19:59 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 07:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2006-06-22 19:59:07 EDT
Spec: ftp://ftp.uni-erlangen.de/pub/mirrors/packman/fedora/SRPMS/perl-Calendar-Simple.spec
SRPM: ftp://ftp.uni-erlangen.de/pub/mirrors/packman/fedora/SRPMS/perl-Calendar-Simple-1.13-1.src.rpm

Description: 
Perl extension to create simple calendarsftp://ftp.uni-erlangen.de/pub/mirrors/packman/fedora/SRPMS

This is a prerequisite to upgrade rt to 3.6.0.
Comment 1 Parag AN(पराग) 2006-06-23 01:45:02 EDT
Not an official review as I'm not yet sponsored
Mock build for i386 development is successfull.

MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package perl-Calender-Simple,
in the format perl-Calender-Simple.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: The License field in the package perl-Calender-Simple.spec file
matches the actual license file COPYING in tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like README.
      * Source URL is Not present.
      I need to remove DA from URL. Working Source URL for me
http://search.cpan.org/CPAN/authors/id/D/DAVECROSS/Calendar-Simple-1.13.tar.gz
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct


Comment 3 Paul Howarth 2006-06-23 05:38:23 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds ok in mock (devel i386)
- BR's OK
- no locales, libraries, subpackages, or pkgconfigs to worry about
- no relocatable
- no dorectory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code not content
- no large docs, docs don't affect runtime
- not a GUI app, no desktop file needed
- no scriptlets

The only small cosmetic nit is that the rpm tag values seems to be misaligned
(I tried tab stops of 4 and 8, and neither were pretty)

Approved.
Comment 4 Ralf Corsepius 2006-06-23 07:48:37 EDT
Thanks for the review, indentation modified after cvs import.


Note You need to log in before you can comment on or make changes to this bug.